Last Comment Bug 779302 - speed up arrow panel opening animation
: speed up arrow panel opening animation
Status: RESOLVED FIXED
[good first bug][mentor=jaws][lang=css]
:
Product: Toolkit
Classification: Components
Component: Themes (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: mozilla17
Assigned To: Dão Gottwald [:dao]
:
:
Mentors:
Depends on: 767133
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 14:13 PDT by Asa Dotzler [:asa]
Modified: 2012-08-10 11:08 PDT (History)
3 users (show)
jaws: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
patch (1.21 KB, patch)
2012-07-31 17:26 PDT, Dão Gottwald [:dao]
shorlander: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Asa Dotzler [:asa] 2012-07-31 14:13:35 PDT
The arrow panel animations are nice, but they're too slow. We need the panel to fade in a bit faster and the slide-down to happen in about half the current time (estimates from me, shorlander, and jaws)
Comment 2 Dão Gottwald [:dao] 2012-07-31 17:26:51 PDT
Created attachment 647778 [details] [diff] [review]
patch

125ms for the sliding looked weirdly jumpy, but 150ms seems to work fine. Tested on Windows.
Comment 3 Stephen Horlander [:shorlander] 2012-08-03 10:57:35 PDT
Comment on attachment 647778 [details] [diff] [review]
patch

Review of attachment 647778 [details] [diff] [review]:
-----------------------------------------------------------------

This feels more responsive. Thank you!
Comment 4 Jared Wein [:jaws] (please needinfo? me) 2012-08-03 18:52:36 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/460e23aef181
Comment 5 Jared Wein [:jaws] (please needinfo? me) 2012-08-03 18:56:15 PDT
Comment on attachment 647778 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): new feature in bug 767133 & bug 767861
User impact if declined: arrow panels (doorhangers, bookmarks properties) will open slower than desired
Testing completed (on m-c, etc.): tested locally, just landed on inbound
Risk to taking this patch (and alternatives if risky): no risk
String or UUID changes made by this patch: none
Comment 6 Ed Morley [:emorley] 2012-08-04 11:17:50 PDT
https://hg.mozilla.org/mozilla-central/rev/460e23aef181
Comment 7 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-06 16:14:13 PDT
Comment on attachment 647778 [details] [diff] [review]
patch

fixes for a new feature in 16, approving for aurora.
Comment 8 Jared Wein [:jaws] (please needinfo? me) 2012-08-10 11:08:13 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/025cea007fcb

Note You need to log in before you can comment on or make changes to this bug.